<template>
	<view class="p-person-about g_w_all g_h_all g_bg_f_5 g_flex_column_between g_kuaishou">
		<view class="g_flex_1">
			<view class="g_mb_24 g_flex_row_center" style="padding-top: 130px">
				<img :src="logo" class="g_w_63 g_h_63" />
			</view>
			<view class="g_fs_24 g_c_3 g_flex_row_center g_mb_8 g_fw_600">{{ pageTitle }}</view>
			<view class="g_fs_16 g_c_3 g_flex_row_center">Version {{ version }}（1.1.0）</view>
		</view>
		<view class="g_flex_row_center g_pb_42" style="text-align: center; font-size: 12px; color: #999; line-height: 32px; box-sizing: border-box">
			<view> 人海云平台 技术支持 </view>
		</view>
	</view>
</template>

<script>
export default {
	onReady() {
		 
	},
	onShareAppMessage() {
		return this.G.shareFun();
	},
	data() {
		return {
			localBaseImg: this.G.store().localBaseImg,
			svgBaseImg: this.G.store().svgBaseImg,
			logo: getApp().globalData.logo,
			version: this.G.store().version,
			pageTitle: getApp().globalData.title,
		}
	},
	created() {
		// #ifdef MP-WEIXIN
		try {
			const accountInfo = uni.getAccountInfoSync();
			if (accountInfo.miniProgram && accountInfo.miniProgram.version) {
				this.version = accountInfo.miniProgram.version;
			}
		} catch (e) {
			console.error('获取小程序版本信息失败', e);
		}
		// #endif
	},
};
</script>

<style></style>
